package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 任务定制-报送资料要求
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-12
 */
@ApiModel(value="CostProjectTaskMaterial对象", description="任务定制-报送资料要求")
public class CostProjectTaskMaterial extends BaseModel<CostProjectTaskMaterial> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;

    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;

    @ApiModelProperty(value = "0未审核 1审核通过 2审核拒绝")
    @TableField("audited_status")
    @JsonProperty("auditedStatus")
    private String auditedStatus;

    @ApiModelProperty(value = "审核人")
    @TableField("audited_user_id")
    @JsonProperty("auditedUserId")
    private String auditedUserId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;

    @ApiModelProperty(value = "关联立项主表ID")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;

    @ApiModelProperty(value = "主键")
    @TableField("catalog_id")
    @JsonProperty("catalogId")
    private String catalogId;

    @ApiModelProperty(value = "资料类别")
    @TableField("information_type")
    @JsonProperty("informationType")
    private String informationType;

    @ApiModelProperty(value = "资料名称")
    @TableField("information_name")
    @JsonProperty("informationName")
    private String informationName;

    @ApiModelProperty(value ="资料类型")
    @TableField(exist = false)
    private String informationTypeName;

    @ApiModelProperty(value = "资料要求")
    @TableField("information_require")
    @JsonProperty("informationRequire")
    private String informationRequire;

    @ApiModelProperty(value = "资料排序")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private Integer orderNum;

    @ApiModelProperty(value = "是否必填")
    @TableField("is_required")
    @JsonProperty("isRequired")
    private String isRequired;

    @ApiModelProperty(value = "模板id")
    @TableField("template_id")
    @JsonProperty("templateId")
    private String templateId;

    @TableField(exist = false)
    private String templateType;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;

    @ApiModelProperty(value = "格式要求` 1文档文件、2excel、3预置模板`")
    @TableField("format_required")
    @JsonProperty("formatRequired")
    private String formatRequired;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "是否上传 0:未上传，1:已上传")
    @JsonProperty("isUpload")
    @TableField("is_upload")
    private String isUpload;

    @ApiModelProperty(value = "上传时间")
    @TableField("upload_time")
    @JsonProperty("uploadTime")
    private LocalDateTime uploadTime;

    @ApiModelProperty(value = "文件地址")
    @JsonProperty("fileUrl")
    @TableField("file_url")
    private String fileUrl;

    @ApiModelProperty(value = "企业单位")
    @JsonProperty("auditedUnitId")
    @TableField("audited_unit_id")
    private String auditedUnitId;

    @ApiModelProperty(value = "任务节点")
    @JsonProperty("taskNode")
    @TableField("task_node")
    private String taskNode;

    public String getAuditedUnitId() {
        return auditedUnitId;
    }

    public void setAuditedUnitId(String auditedUnitId) {
        this.auditedUnitId = auditedUnitId;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
    public String getAuditedStatus() {
        return auditedStatus;
    }

    public void setAuditedStatus(String auditedStatus) {
        this.auditedStatus = auditedStatus;
    }
    public String getAuditedUserId() {
        return auditedUserId;
    }

    public void setAuditedUserId(String auditedUserId) {
        this.auditedUserId = auditedUserId;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }
    public String getInformationType() {
        return informationType;
    }

    public void setInformationType(String informationType) {
        this.informationType = informationType;
    }
    public String getInformationName() {
        return informationName;
    }

    public void setInformationName(String informationName) {
        this.informationName = informationName;
    }
    public String getInformationRequire() {
        return informationRequire;
    }

    public void setInformationRequire(String informationRequire) {
        this.informationRequire = informationRequire;
    }
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
    public String getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }
    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getFormatRequired() {
        return formatRequired;
    }

    public void setFormatRequired(String formatRequired) {
        this.formatRequired = formatRequired;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

	public String getIsUpload() {
		return isUpload;
	}

	public void setIsUpload(String isUpload) {
		this.isUpload = isUpload;
	}

	@Override
    protected Serializable pkVal() {
        return this.id;
    }

    public String getFileUrl() {
		return fileUrl;
	}

	public void setFileUrl(String fileUrl) {
		this.fileUrl = fileUrl;
	}


	public String getInformationTypeName() {
		return informationTypeName;
	}

	public void setInformationTypeName(String informationTypeName) {
		this.informationTypeName = informationTypeName;
	}

    public LocalDateTime getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(LocalDateTime uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getTaskNode() {
        return taskNode;
    }

    public void setTaskNode(String taskNode) {
        this.taskNode = taskNode;
    }

    @Override
    public String toString() {
        return "CostProjectTaskMaterial{" +
            "id=" + id +
            ", taskId=" + taskId +
            ", auditedStatus=" + auditedStatus +
            ", auditedUserId=" + auditedUserId +
            ", createBy=" + createBy +
            ", projectId=" + projectId +
            ", catalogId=" + catalogId +
            ", informationType=" + informationType +
            ", informationName=" + informationName +
            ", informationRequire=" + informationRequire +
            ", orderNum=" + orderNum +
            ", isRequired=" + isRequired +
            ", templateId=" + templateId +
            ", createTime=" + createTime +
            ", updateBy=" + updateBy +
            ", formatRequired=" + formatRequired +
            ", updateTime=" + updateTime +
        "}";
    }
}
